Loading...
Searching...
No Matches
casacore::AllFunc< T > Class Template Referencefinal

Logical functor to test if all elements are true. More...

`#include <ArrayLogical.h>`

## Public Member Functions

virtual bool | operator() (const Array< T > &arr) const override
Public Member Functions inherited from casacore::ArrayFunctorBase< T, bool >
virtual | ~ArrayFunctorBase ()

## Detailed Description

template<typename T>
class casacore::AllFunc< T >

Logical functor to test if all elements are true.

Definition at line 432 of file ArrayLogical.h.

## Member Function Documentation

## operator()()

template<typename T>

virtual bool casacore::AllFunc< T >::operator() | ( | const Array< T > & | arr | ) | const

inline override virtual

Implements casacore::ArrayFunctorBase< T, bool >.

Definition at line 434 of file ArrayLogical.h.

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayLogical.h